nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   kernel 2.6.11 problem. (http://www.nvnews.net/vbulletin/showthread.php?t=48619)

bad_zeppelin 04-02-05 07:12 PM

kernel 2.6.11 problem.
 
i've installed 7174 driver on linux 2.4 kernel and it worked fine. but i installed it on linux 2.6.11.6 kernel i cant ever make it work. i've reinstalled the drivers as recommended in the readme file but it doesn't help neither.

it just says "the module is already in the kernel" and fails x server.

anybody knows the solution?
thanks very much

IronMan 04-02-05 09:34 PM

Re: kernel 2.6.11 problem.
 
Quote:

Originally Posted by bad_zeppelin
anybody knows the solution?

Could you post the ".config" you used to compile your 2.6.11.6 kernel with? I'm using the 7174 driver and 2.6.11.6 just fine (both compiled with gcc-3.3.5).

dhunley 04-02-05 09:57 PM

Re: kernel 2.6.11 problem.
 
Quote:

Originally Posted by bad_zeppelin
i've installed 7174 driver on linux 2.4 kernel and it worked fine. but i installed it on linux 2.6.11.6 kernel i cant ever make it work. i've reinstalled the drivers as recommended in the readme file but it doesn't help neither.

it just says "the module is already in the kernel" and fails x server.

anybody knows the solution?
thanks very much

This is the EXACT same issue I'm dealing with here. (Though I don't have a 2.4.x kernel to try it on). No matter if I 'rmmod' the driver or not, when X starts up it aborts with the same message "module is already in the kernel". I'm using udev, and it creates the devices just fine .. there are no errors or warning in 'dmesg'

dhunley 04-02-05 10:34 PM

Re: kernel 2.6.11 problem.
 
1 Attachment(s)
kernel .config attached

Soul-Crusher 04-03-05 01:38 AM

Re: kernel 2.6.11 problem.
 
Disable CONFIG_DRM (Device drivers->chraracter devices->Direct Rendering Manager). That's really only good for non-nVidia cards (Radeons, etc). Enabling the kernel's AGPGART driver is optional, the nVidia driver includes one that may or may not work better for your motherboard.

zander 04-03-05 05:16 AM

Re: kernel 2.6.11 problem.
 
FATAL: Module nvidia already in kernel.

Please upgrade your module-init-tools if you see this error on X server startup.

piggysmile 04-03-05 05:38 AM

Re: kernel 2.6.11 problem.
 
i used module-init-tools-0.9.9 (most stable, i believe) in installing my modules. zander please be specific on what version of module-init-tools you are pertaining to.

zander 04-03-05 05:48 AM

Re: kernel 2.6.11 problem.
 
I don't know off the top of my head which module-init-tools version was the first to fix this particular problem, unfortunately, but any current version should work fine.

lightsout 04-03-05 06:36 AM

Re: kernel 2.6.11 problem.
 
0.9.9 isn't the latest version... my version of modprobe identifies itself as 3.0.0!

IronMan 04-03-05 01:38 PM

Re: kernel 2.6.11 problem.
 
Quote:

Originally Posted by lightsout
0.9.9 isn't the latest version... my version of modprobe identifies itself as 3.0.0!

Latest stable is "ftp://ftp.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-3.1.tar.bz2"

dhunley 04-03-05 11:07 PM

Re: kernel 2.6.11 problem.
 
Quote:

Originally Posted by zander
I don't know off the top of my head which module-init-tools version was the first to fix this particular problem, unfortunately, but any current version should work fine.

Still no joy. I have 3.1 of the module tools, and I'm *still* seeing this exact same error. I even re-installed the nvidia module after upgrading from 3.0 to 3.1.. same error still

zander 04-04-05 04:08 AM

Re: kernel 2.6.11 problem.
 
That's rather odd; please run the `nvidia-bug-report.sh` script after a failed attempt to start X and attach the log file; please also post the ouput of `$(cat /proc/sys/kernel/modprobe) -V`.


All times are GMT -5. The time now is 09:00 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.